/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:wwend.c 12.0$ */
/* $ACIS:wwend.c 12.0$ */
/* $Source: /ibm/acis/usr/src/ucb/window/RCS/wwend.c,v $ */

#ifndef lint
static char *rcsid = "$Header:wwend.c 12.0$";
#endif

#ifndef lint
static char sccsid[] = "@(#)wwend.c	3.8 8/14/85";
#endif

/*
 * Copyright (c) 1983 Regents of the University of California,
 * All rights reserved.  Redistribution permitted subject to
 * the terms of the Berkeley Software License Agreement.
 */

#include "ww.h"
#include "tt.h"

wwend()
{
	wwupdate();
	if (tt.tt_insert)
		(*tt.tt_setinsert)(0);
	if (tt.tt_modes)
		(*tt.tt_setmodes)(0);
	(*tt.tt_move)(tt.tt_nrow - 1, 0);
	(*tt.tt_end)();
	ttflush();
	(void) wwsettty(0, &wwoldtty, &wwnewtty);
}
